org.richfaces.component.attribute

## Interface TreeCommonProps

- All Known Implementing Classes:
    AbstractTree, AbstractTreeNode, UITree, UITreeNode

      public interface TreeCommonProps

  Interface defining the methods for tree-common-props.xml
  Author:
    Brian Leathem

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHandleClass()` Space-separated list of CSS style class(es) to be applied to the tree node handles.
    `String` | `getIconClass()` Space-separated list of CSS style class(es) to be applied to the tree node icons.
    `String` | `getIconCollapsed()` The icon for collapsed node
    `String` | `getIconExpanded()` The icon for expanded node
    `String` | `getIconLeaf()` The icon for component leaves
    `String` | `getLabelClass()` Space-separated list of CSS style class(es) to be applied to the tree node labels.
    `javax.el.MethodExpression` | `getToggleListener()` MethodExpression representing an tree node toggle listener method that will be notified when the tree node is toggled.

- - ### Method Detail

    - #### getIconLeaf

          String getIconLeaf()

      The icon for component leaves

    - #### getIconExpanded

          String getIconExpanded()

      The icon for expanded node

    - #### getIconCollapsed

          String getIconCollapsed()

      The icon for collapsed node

    - #### getHandleClass

          String getHandleClass()

      Space-separated list of CSS style class(es) to be applied to the tree node handles.

    - #### getIconClass

          String getIconClass()

      Space-separated list of CSS style class(es) to be applied to the tree node icons.

    - #### getLabelClass

          String getLabelClass()

      Space-separated list of CSS style class(es) to be applied to the tree node labels.

    - #### getToggleListener

          javax.el.MethodExpression getToggleListener()

      MethodExpression representing an tree node toggle listener method that will be notified when the tree node is toggled. The expression must evaluate to a public method that takes an TreeToggleEvent parameter, with a return type of void, or to a public method that takes no arguments with a return type of void. In the latter case, the method has no way of easily knowing where the event came from, but this can be useful in cases where a notification is needed that "some action happened".

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.